gdk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Controls the keyboard/mouse pointer grabs and a set of GdkScreens.

objects purpose are two fold:

To grab/ungrab keyboard focus and mouse pointer
To manage and provide information about the (s) available for this

objects are the GDK representation of the X Display which can be described as a workstation consisting of a keyboard a pointing device (such as a mouse) and one or more screens. It is used to open and keep track of various objects currently instanciated by the application. It is also used to grab and release the keyboard and the mouse pointer.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  Gdk.Display To be added a To be added
- Method
  Gdk.Display `` Opens a display. a - the name of the display to open a , or null if the display could not be opened. To be added
- Method
  System.Void `` Appends the given event onto the front of the event queue for display. a to be appended onto the front of the event queue. To be added
- Method
  System.Void `` `` Adds a filter to be called when X ClientMessage events are received. a representing the type of ClientMessage events to receive. a to call to process the event. To be added
- Method
  System.Boolean Test if the pointer is grabbed. a that is true if an active X pointer grab is in effect. To be added
- Method
  System.Void Emits a short beep. To be added
- Method
  Gdk.Event Gets a copy of the first in the display's event queue, without removing the event from the queue. (Note that this function will not get more events from the windowing system. It only checks the events that have already been moved to the GDK event queue.) a copy of the first on the event queue, or null if no events are in the queue. To be added
- Method
  System.Void Closes the connection windowing system for the given display, and cleans up associated resources. To be added
- Method
  Gdk.Screen `` Returns a screen object for one of the screens of the display. a representing the screen number a To be added
- Method
  Gdk.DisplayPointerHooks `` a the previous table

  This function allows for hooking into the operation of getting the current location of the pointer on a particular display. This is only useful for such low-level tools as an event recorder. Applications should never have any reason to use this facility.

- Method
  System.Void `` Release any keyboard grab. a representing a a timestap. To be added
- Method
  System.Void `` Release any pointer grab. a representing a a timestap. To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Constructor
  To be added
  a
  a
  To be added
- Property
  Gdk.Display Get the default for the display. the default object for display. To be added
- Property
  System.String The name of the display A representing the display name.
- Property
  System.UInt32 Sets the double-click timeout. a a , or null if there is no default display.

  Sets the double click time (two clicks within this time interval count as a double click). Applications should NOT set this, it is a global user-configured setting.

- Property
  Gdk.Screen The default screen.. The screen represending the DefaultScreen. To be added
- Property
  Gdk.Device Returns the core pointer device for the given display. The core pointer for the display. To be added
- Property
  Gdk.Event To be added. To be added
- Property
  System.Int32 To be added a To be added
- Event
  Gdk.ClosedHandler This event is emitted when the connect to the windowing system is closed. None.
- Method
  System.Void `` `` `` `` Gets the current location of the pointer and the current modifier mask for a given display. a a a a None
- Method
  Gdk.Window `` `` Obtains the window underneath the mouse pointer. a a a Obtains the window underneath the mouse pointer, returning the location of that window in win_x, win_y for screen. Returns NULL if the window under the mouse pointer is not known to GDK (for example, belongs to another application).
- Property
  GLib.GType Gets the current location of the pointer and the current modifier mask for a given display. a To be added
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  Gdk.Device[] Returns the list of available input devices attached to the display. a To be added
- Constructor
  To be added
  a
  To be added
- Method
  System.Void `` `` `` `` To be added a a a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Property
  Gdk.Window To be added a To be added
- Property
  System.UInt32 To be added a To be added
- Property
  System.UInt32 To be added a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Boolean To be added a To be added
- Method
  System.Void To be added To be added
- Method
  System.Boolean To be added a To be added